### Property

# Handy Flap:locked

since: 1.2

#### Declaration

    property locked: gboolean [ read, write ]

#### Description [src]

Whether the flap is locked.

If `FALSE`, folding when the flap is revealed automatically closes it, and unfolding it when the flap is not revealed opens it. If `TRUE`, `HdyFlap:reveal-flap` value never changes on its own.

Type:`gboolean`

Available since: 1.2

Default value | FALSE
Getter method | `hdy_flap_get_locked()`
Setter method | `hdy_flap_set_locked()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no